###############################################################################
#
# Copyright (C) 2013 Wind River Systems, Inc.
#
# This code is licensed under the GPLv2.
#
###############################################################################
import sys


###############################################################################
# Class definition
#
# This class is a helper class, which has members which corresponds on 1:1
# basis to the knowledge base XML file <ovp_param> node.
# It is used to help reaching the KB presented information.
###############################################################################
class OVP_OTT_PARAM:

###############################################################################
### Setters...
###############################################################################
    def setName(self, pName):
       self.name = pName


    def setType(self, pType):
       self.type = pType


    def setValue(self, pValue):
        self.value = pValue


    def setDescription(self, pDescription):
        self.description = pDescription


    def setHint(self, pHint):
        self.hint = pHint


    def setHelp(self, pHelp):
        self.help = pHelp


    def set_getCommand(self, pCommand):
        self.getCommand = pCommand


    def set_setCommand(self, pCommand):
        self.setCommand = pCommand


    def set_cmdline_switch(self, pCmdLineSw):
        self.cmdline_switch = pCmdLineSw

###############################################################################
### Getters...
###############################################################################
    def getName(self):
        return self.name


    def getType(self):
        return self.type


    def getValue(self):
        return self.value


    def getDescription(self):
        return self.description


    def getHint(self):
        return self.hint


    def getHelp(self):
        return self.help


    def get_getCommand(self):
        return self.getCommand


    def get_setCommand(self):
        return self.setCommand


    def get_cmdline_switch(self):
        return self.cmdline_switch


###############################################################################
### DEBUG Helper methods...
###############################################################################
    def showDebugInfo(self):
        print "********* OVP_OTT_PARAMETER START ***"
        print "name: " + self.name
        print "type: " + self.type
        print "value: " + self.value
        print "description: " + self.description
        print "hint: " + self.hint
        print "help: " + self.help
        print "get_command: " + self.getCommand
        print "set_command: " + self.setCommand
        print "cmdline_switch: " + self.cmdline_switch
        print "********* OVP_OTT_PARAMETER END ***"

